# BigcommerceTool

This tool is used to locally serve Bigcommerce templates and deploy changed templates to your Bigcommerce store. It is still in its infancy but provides some useful features for local development. 

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'bigcommerce_tool'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bigcommerce_tool

## Usage

The basic commands are:

    Commands:
      bigcommerce deploy          # Deploy changed templates to Bigcommerce using WebDAV
      bigcommerce help [COMMAND]  # Describe available commands or one specific command
      bigcommerce init            # Initialize default configuration settings
      bigcommerce serve           # Serve local Bigcommerce templates
      
Currently, this gem works best when deploying from CircleCI. 

## Contributing

1. Fork it ( https://github.com/secondrotation/bigcommerce_tool/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
