# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bigcommerce_tool/version'

Gem::Specification.new do |spec|
  spec.name          = "bigcommerce_tool"
  spec.version       = BigcommerceTool::VERSION
  spec.authors       = ["Jason Vanderhoof", "Tyler Ewing"]
  spec.email         = ["engineering@gazelle.com"]
  spec.summary       = %q{Useful tool for local development of Bigcommerce templates}
  spec.description   = %q{Useful tool for local development of Bigcommerce templates and deploying templates}
  spec.homepage      = "https://github.com/secondrotation/bigcommerce_tool"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry-byebug", "~> 3.0"

  spec.add_dependency "net_dav", "~> 0.5"
  spec.add_dependency "curb", "~> 0.8"
  spec.add_dependency "dotenv", "~> 2.0"
  spec.add_dependency "sinatra", "~> 1.4"
  spec.add_dependency "thin", "~> 1.6"
  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "thor", "~> 0.19"
  spec.add_dependency "rack", "~> 1.6"
end
